#!/bin/tcsh -f

# xref - a tiny cross referencer using DWARF2 XML
# Copyright (C) 2003, by gondow@jaist.ac.jp, All rights reserved.
# $Id: xref.csh,v 1.5 2003/06/24 16:40:38 gondow Exp gondow $

cat > HTML/rxref_top.html <<EOF
<html>
<frameset cols="30%, *">
    <frameset rows="40%, *">
	<frame src="rxref_index.html" name="index">
	<frame src="rxref_all1.html" name="list">
    </frameset>
    <frameset rows="50%, *">
	<frame src="rxref_main.html" name="main">
	<frame src="" name="src">
    </frameset>
</frameset>
</html>
EOF

cat > HTML/rxref_index.html <<EOF
<html><body>
<h1>identifiers sorted by name</h0>
<table>
  <tr>
    <td><a href="rxref_all1.html" target="list">all</a></td>
    <td><a href="rxref_files1.html" target="list">files</a></td>
  </tr>
  <tr>
    <td><a href="rxref_structs1.html" target="list">structures</a></td>
    <td><a href="rxref_unions1.html" target="list">unions</a></td>
  </tr>
    <td><a href="rxref_typedefs1.html" target="list">typedefs</a></td>
    <td><a href="rxref_labels1.html" target="list">labels</a></td>
  <tr>
    <td><a href="rxref_enum_tags1.html" target="list">enum tags</a></td>
    <td><a href="rxref_enum_consts1.html" target="list">enum constants</a></td>
  </tr>
  <tr>
    <td><a href="rxref_functions1.html" target="list">functions</a></td>
    <td><a href="rxref_variables1.html" target="list">variables</a></td>
  </tr>
  <tr>
    <td><a href="rxref_macros2.html" target="list">macros</a></td>
    <td><a href="rxref_all3.html" target="list">all w/ macros</a></td>
  </tr>
</table>
<h1>identifiers sorted by location</h0>
<table>
  <tr>
    <td><a href="rxref_all2.html" target="list">all</a></td>
    <td><a href="rxref_files1.html" target="list">files</a></td>
  </tr>
  <tr>
    <td><a href="rxref_structs2.html" target="list">structures</a></td>
    <td><a href="rxref_unions2.html" target="list">unions</a></td>
  </tr>
    <td><a href="rxref_typedefs2.html" target="list">typedefs</a></td>
    <td><a href="rxref_labels2.html" target="list">labels</a></td>
  <tr>
    <td><a href="rxref_enum_tags2.html" target="list">enum tags</a></td>
    <td><a href="rxref_enum_consts2.html" target="list">enum constants</a></td>
  </tr>
  <tr>
    <td><a href="rxref_functions2.html" target="list">functions</a></td>
    <td><a href="rxref_variables2.html" target="list">variables</a></td>
  </tr>
  <tr>
    <td><a href="rxref_macros3.html" target="list">macros</a></td>
     <td><a href="rxref_all4.html" target="list">all w/ macros</a></td>
  </tr>
</table>
</body></html>
EOF

# structures
(echo '<html><body><h1>structures sorted by name</h1><hr/><pre>'; \
sort -df HTML/rxref.files/rxref_structs1.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_structs1.html

(echo '<html><body><h1>structures sorted by location</h1><hr/><pre>'; \
sort -k 1,1df -k2,2n HTML/rxref.files/rxref_structs2.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_structs2.html

# unions
(echo '<html><body><h1>unions sorted by name</h1><hr/><pre>'; \
sort -df HTML/rxref.files/rxref_unions1.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_unions1.html

(echo '<html><body><h1>unions sorted by location</h1><hr/><pre>'; \
sort -k 1,1df -k 2,2n HTML/rxref.files/rxref_unions2.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_unions2.html

# typedefs
(echo '<html><body><h1>typedefs sorted by name</h1><hr/><pre>'; \
sort -df HTML/rxref.files/rxref_typedefs1.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_typedefs1.html

(echo '<html><body><h1>typedefs sorted by location</h1><hr/><pre>'; \
sort -k 1,1df -k 2,2n HTML/rxref.files/rxref_typedefs2.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_typedefs2.html

# enum tags
(echo '<html><body><h1>enum tags sorted by name</h1><hr/><pre>'; \
sort -df HTML/rxref.files/rxref_enum_tags1.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_enum_tags1.html

(echo '<html><body><h1>enum tags sorted by location</h1><hr/><pre>'; \
sort -k 1,1df -k 2,2n HTML/rxref.files/rxref_enum_tags2.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_enum_tags2.html

# enum constants
(echo '<html><body><h1>enum constants sorted by name</h1><hr/><pre>'; \
sort -df HTML/rxref.files/rxref_enum_consts1.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_enum_consts1.html

(echo '<html><body><h1>enum constants sorted by location</h1><hr/><pre>'; \
sort -k 1,1df -k 2,2n HTML/rxref.files/rxref_enum_consts2.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_enum_consts2.html

# labels
(echo '<html><body><h1>labels sorted by name</h1><hr/><pre>'; \
sort -df HTML/rxref.files/rxref_labels1.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_labels1.html

(echo '<html><body><h1>labels sorted by location</h1><hr/><pre>'; \
sort -k 1,1df -k 2,2n HTML/rxref.files/rxref_labels2.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_labels2.html

# functions
(echo '<html><body><h1>functions sorted by name</h1><hr/><pre>'; \
sort -df HTML/rxref.files/rxref_functions1.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_functions1.html

(echo '<html><body><h1>functions sorted by location</h1><hr/><pre>'; \
sort -k 1,1df -k 2,2n HTML/rxref.files/rxref_functions2.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_functions2.html

# variables
(echo '<html><body><h1>variables sorted by name</h1><hr/><pre>'; \
sort -df HTML/rxref.files/rxref_variables1.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_variables1.html

(echo '<html><body><h1>variables sorted by location</h1><hr/><pre>'; \
sort -k 1,1df -k 2,2n HTML/rxref.files/rxref_variables2.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_variables2.html

# files
(echo '<html><body><h1>files sorted by name</h1><hr/><pre>'; \
sort -df HTML/rxref.files/rxref_files1.html | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_files1.html

# all

(echo '<html><body><h1>all ids sorted by name</h1><hr/><pre>'; \
cat HTML/rxref.files/rxref_*1.html | sort -df | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_all1.html

(echo '<html><body><h1>all ids sorted by location</h1><hr/><pre>'; \
cat HTML/rxref.files/rxref_*2.html | sort -k 1,1df -k 2,2n | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_all2.html

# all with macros

(echo '<html><body><h1>all w/ macros ids sorted by name</h1><hr/><pre>'; \
cat HTML/rxref.files/rxref_*1.html HTML/rxref.files/mrxref_macros1.html | sort -df | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_all3.html

(echo '<html><body><h1>all w/ macros ids sorted by location</h1><hr/><pre>'; \
cat HTML/rxref.files/rxref_*2.html HTML/rxref.files/mrxref_macros3.html | sort -k 1,1df -k 2,2n | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_all4.html

# macros

(echo '<html><body><h1>macros sorted by name</h1><hr/><pre>'; \
cat HTML/rxref.files/mrxref_macros2.html | sort -df | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_macros2.html

(echo '<html><body><h1>macros sorted by location</h1><hr/><pre>'; \
cat HTML/rxref.files/mrxref_macros3.html | sort -k 1,1df -k 2,2n | sed 's/^.*@ //'; \
echo '</pre><hr/></html></body>') > HTML/rxref_macros3.html

# macro info

(echo '<html><body><h1>.debug_macinfo</h1><hr/><pre>'; \
cat HTML/rxref.files/rxref_macinfo.html ; \
echo '</pre><hr/></html></body>') > HTML/rxref_macinfo.html

#end





















